// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    ext.kotlin_version = "1.7.10"
    repositories {
        google()
        maven {
            allowInsecureProtocol = true
            url 'https://jitpack.io'
        }
        mavenCentral()
        maven {
            allowInsecureProtocol = true
            url "https://mirrors.tencent.com/nexus/repository/maven-public/"
        }
    }
    dependencies {
        classpath "com.android.tools.build:gradle:7.2.1"
        classpath 'org.jetbrains.kotlin:kotlin-gradle-plugin:1.7.10'
        classpath 'com.google.gms:google-services:4.3.13'
        classpath 'com.google.firebase:firebase-crashlytics-gradle:2.7.1'
        classpath 'com.google.firebase:perf-plugin:1.4.1'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

allprojects {
    repositories {
        google()
        maven {
            allowInsecureProtocol = true
            url 'https://jitpack.io'
        }
        mavenCentral()
        maven {
            allowInsecureProtocol = true
            url "https://mirrors.tencent.com/nexus/repository/maven-public/"
        }
    }

    configurations.all{
        resolutionStrategy{
            force 'com.squareup.okhttp3:okhttp:4.9.1'
        }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}